Bug 245332 - devel/py-celery: Update to 4.4.2
Summary: devel/py-celery: Update to 4.4.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Jimmy Olgeni
URL: https://github.com/celery/celery/blob...
Keywords: patch
Depends on: 239148 245330 245331
Blocks:
  Show dependency treegraph
 
Reported: 2020-04-03 21:24 UTC by Evilham
Modified: 2020-05-26 01:56 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (olgeni)


Attachments
devel/py-celery: Update to 4.4.2 (1.53 KB, patch)
2020-04-03 21:26 UTC, Evilham
contact: maintainer-approval?
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Evilham 2020-04-03 21:24:30 UTC
Obsoletes #239149.
Comment 1 Evilham 2020-04-03 21:26:27 UTC
Created attachment 213035 [details]
devel/py-celery: Update to 4.4.2

This also fixes following bug:


python3.7
Python 3.7.7 (default, Mar 21 2020, 01:37:51) 
[Clang 10.0.0 (git@github.com:llvm/llvm-project.git llvmorg-10.0.0-rc4-5-g52c36 on freebsd13
Type "help", "copyright", "credits" or "license" for more information.
>>> import celery.worker
Traceback (most recent call last):
  File "<stdin>", line 1, in <module>
  File "/usr/local/lib/python3.7/site-packages/celery/worker/__init__.py", line 3, in <module>
    from .worker import WorkController
  File "/usr/local/lib/python3.7/site-packages/celery/worker/worker.py", line 241
    self._conninfo.transport.implements.async and
                                            ^
SyntaxError: invalid syntax
Comment 2 commit-hook freebsd_committer 2020-05-26 01:54:43 UTC
A commit references this bug:

Author: swills
Date: Tue May 26 01:54:21 UTC 2020
New revision: 536563
URL: https://svnweb.freebsd.org/changeset/ports/536563

Log:
  devel/py-celery: Update to 4.4.2

  PR:		245332
  Submitted by:	Evilham <contact@evilham.com>
  Approved by:	olgeni (maintainer, via email)

Changes:
  head/devel/py-celery/Makefile
  head/devel/py-celery/distinfo
Comment 3 Steve Wills freebsd_committer 2020-05-26 01:56:58 UTC
Committed, thanks!